# CbcHeuristicRENS Class Reference

LocalSearch class. More...

`#include <CbcHeuristicRENS.hpp>`

Inheritance diagram for CbcHeuristicRENS:
[legend]
Collaboration diagram for CbcHeuristicRENS:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicRENS ()
| CbcHeuristicRENS (CbcModel &model)
| CbcHeuristicRENS (const CbcHeuristicRENS &)
| ~CbcHeuristicRENS ()
virtual CbcHeuristic * | clone () const
| Clone.
CbcHeuristicRENS & | operator= (const CbcHeuristicRENS &rhs)
| Assignment operator.
virtual void | resetModel (CbcModel *model)
| Resets stuff if model changes.
virtual void | setModel (CbcModel *model)
| update model (This is needed if cliques update matrix etc)
virtual int | solution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution.
void | setRensType (int value)
| Set type.
## Protected Attributes
int | numberTries_
| Number of tries.
int | rensType_
| Type 0 - fix at LB 1 - fix on dj 2 - fix at UB as well 3 - fix on 0.01*average dj add 16 to allow two tries.

## Detailed Description

LocalSearch class.

Definition at line 16 of file CbcHeuristicRENS.hpp.

## Constructor & Destructor Documentation

CbcHeuristicRENS::CbcHeuristicRENS | ( |  | ) |

CbcHeuristicRENS::CbcHeuristicRENS | ( | CbcModel & | model | ) |

CbcHeuristicRENS::CbcHeuristicRENS | ( | const CbcHeuristicRENS & |  | ) |

CbcHeuristicRENS::~CbcHeuristicRENS | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristic* CbcHeuristicRENS::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristic.

CbcHeuristicRENS& CbcHeuristicRENS::operator= | ( | const CbcHeuristicRENS & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicRENS::resetModel | ( | CbcModel * | model | ) | `[virtual]`

Resets stuff if model changes.

Implements CbcHeuristic.

virtual void CbcHeuristicRENS::setModel | ( | CbcModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc)

Reimplemented from CbcHeuristic.

virtual int CbcHeuristicRENS::solution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution.

Sets solution values if good, sets objective value (only if good) This does Relaxation Extension Neighborhood Search Does not run if when_<2 and a solution exists

Implements CbcHeuristic.

void CbcHeuristicRENS::setRensType | ( | int | value | ) | `[inline]`

Set type.

Definition at line 56 of file CbcHeuristicRENS.hpp.

## Member Data Documentation

int CbcHeuristicRENS::numberTries_`[protected]`

Number of tries.

Definition at line 62 of file CbcHeuristicRENS.hpp.

int CbcHeuristicRENS::rensType_`[protected]`

Type 0 - fix at LB 1 - fix on dj 2 - fix at UB as well 3 - fix on 0.01*average dj add 16 to allow two tries.

Definition at line 70 of file CbcHeuristicRENS.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.1/Cbc/src/CbcHeuristicRENS.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines